%global momorel 1
%global pythonverrel 2.5.1-11m
%global python_ver 2.5
%global python_sitearch %{_libdir}/python%{python_ver}/site-packages

Summary: Open Source Chemistry Toolbox
Name: openbabel
Version: 2.2.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
URL: http://openbabel.sourceforge.net/wiki/Main_Page
Patch1: openbabel-gcc43.patch
Patch10: openbabel-2.2.0-perl.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: swig
BuildPrereq: perl >= 5.10.0
BuildPrereq: python >=  %{pythonverrel}
BuildRequires: inchi-devel

%description
Open Babel is a free, open-source version of the Babel chemistry file
translation program. OpenBabel is a project designed to pick up where
Babel left off, as a cross-platform program and library designed to
interconvert between many file formats used in molecular modeling and
computational chemistry.

%package devel
Summary: openbabel-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
openbabel-devel

%package perl
Group: System Environment/Libraries
Summary: Perl wrapper for the Open Babel library

%description perl
Perl wrapper for the Open Babel library.

%package python
Group: System Environment/Libraries
Summary: Python wrapper for the Open Babel library

%description python
Python wrapper for the Open Babel library.

%prep
%setup -q
%patch1 -p1 -b .gcc43~
%patch10 -p1 -b .perl

%build
sed -i -e 's/ACLOCAL_AMFLAGS=/#ACLOCAL_AMFLAGS=/g' Makefile.am
autoreconf --force --install
%configure --enable-shared=yes --enable-static=no --disable-inchi
%make

pushd scripts/perl
perl Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
popd

pushd scripts/python
python setup.py build
popd

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -name "*.la" -delete

pushd scripts/perl
%{__make} install DESTDIR=%{buildroot}
popd
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/*/Chemistry/OpenBabel/{.packlist,OpenBabel.bs}
chmod 755 %{buildroot}%{perl_vendorarch}/*/Chemistry/OpenBabel/OpenBabel.so

pushd scripts/python
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

# work around testsuite crash
%{__rm} src/formats/.libs/*.soT
%{__rm} src/formats/xml/.libs/*.soT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/babel
%{_bindir}/obchiral
%{_bindir}/obconformer
%{_bindir}/obfit
%{_bindir}/obgen
%{_bindir}/obgrep
%{_bindir}/obprobe
%{_bindir}/obprop
%{_bindir}/obrotate
%{_bindir}/obenergy
%{_bindir}/obminimize
%{_bindir}/obrotamer
%{_bindir}/roundtrip
%{_libdir}/libopenbabel.so.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}
%{_libdir}/%{name}/%{version}/*.so
%{_mandir}/man1/*
%{_datadir}/%{name}

%files  devel
%defattr(-, root, root)
%{_includedir}/%{name}-2.0
%{_libdir}/libopenbabel.so
%{_libdir}/pkgconfig/%{name}-2.0.pc

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/Chemistry/OpenBabel.pm
%dir %{perl_vendorarch}/*/Chemistry/OpenBabel
%{perl_vendorarch}/*/Chemistry/OpenBabel/OpenBabel.so

%files python
%defattr(-,root,root,-)
%{python_sitearch}/openbabel-*.egg-info
%{python_sitearch}/_openbabel.so
%{python_sitearch}/openbabel.py*
%{python_sitearch}/pybel.py*

%changelog
* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.1-8m)
- restrict python ver-rel for egginfo

* Tue Apr 29 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.1-7m)
- enable egg-info

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.1-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-5m)
- %%NoSource -> NoSource

* Mon Feb  4 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.1-4m)
- rebuild against perl-5.10.0
- add Patch2: openbabel-2.1.1-script-perl-xs.patch

* Tue Jan 15 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.1.1-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Jan  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.1-2m)
- sync with Fedora devel
- build perl and python modules
- use external inchi

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.1-1m)
- update to 2.1.1
- comment out patch0

* Wed May  2 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.2-3m)
- revise configure patch

* Tue Mar 27 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.2-2m)
- add configure patch

* Sun Mar 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
